package com.pcloud.book.skill.dao;

import com.pcloud.book.skill.entity.PcloudSkillGuide;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PcloudSkillGuideDao extends BaseDao<PcloudSkillGuide> {

    Integer batchInsert(List<PcloudSkillGuide> list);

    void deleteByPcloudSkillId(Long pcloudSkillId);

    List<PcloudSkillGuide> getListByPcloudSkillId(Long pcloudSkillId);

    List<PcloudSkillGuide> getListByPcloudSkillIds(List<Long> pcloudSkillIds);
}
